﻿<CascadingValue Value="@this" Name="Fab">
    <div Class="@("fab" + (_showFab ? " show" : ""))">
        <button class="fab-main" @onclick="ToogleFab" style="background-color: @BackgroundColor"/>
        <ul>
            @ChildContent
        </ul>
    </div>
</CascadingValue>

@code {

    [Parameter]
    public RenderFragment ChildContent { get; set; }

    [Parameter]
    public string BackgroundColor { get; set; } = "#cb60b3";

    private bool _showFab = false;

    protected bool ShowFab {
        get => _showFab;
        set {
            _showFab = value;
            StateHasChanged( );
        }
    }

    public void ToogleFab( ) {
        ShowFab = !ShowFab;
    }
}